weka.core.pmml.jaxbbindings

## Class AssociationRule

- java.lang.Object
- - weka.core.pmml.jaxbbindings.AssociationRule

-     public class AssociationRule
      extends java.lang.Object

  Java class for AssociationRule element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="AssociationRule">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="affinity" type="{http://www.dmg.org/PMML-4_1}PROB-NUMBER" />
               <attribute name="antecedent" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="confidence" use="required" type="{http://www.dmg.org/PMML-4_1}PROB-NUMBER" />
               <attribute name="consequent" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="leverage" type="{http://www.w3.org/2001/XMLSchema}float" />
               <attribute name="lift" type="{http://www.w3.org/2001/XMLSchema}float" />
               <attribute name="support" use="required" type="{http://www.dmg.org/PMML-4_1}PROB-NUMBER" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssociationRule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigDecimal` | `getAffinity()` Gets the value of the affinity property.
    `java.lang.String` | `getAntecedent()` Gets the value of the antecedent property.
    `java.math.BigDecimal` | `getConfidence()` Gets the value of the confidence property.
    `java.lang.String` | `getConsequent()` Gets the value of the consequent property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.lang.String` | `getId()` Gets the value of the id property.
    `java.lang.Float` | `getLeverage()` Gets the value of the leverage property.
    `java.lang.Float` | `getLift()` Gets the value of the lift property.
    `java.math.BigDecimal` | `getSupport()` Gets the value of the support property.
    `void` | `setAffinity(java.math.BigDecimal value)` Sets the value of the affinity property.
    `void` | `setAntecedent(java.lang.String value)` Sets the value of the antecedent property.
    `void` | `setConfidence(java.math.BigDecimal value)` Sets the value of the confidence property.
    `void` | `setConsequent(java.lang.String value)` Sets the value of the consequent property.
    `void` | `setId(java.lang.String value)` Sets the value of the id property.
    `void` | `setLeverage(java.lang.Float value)` Sets the value of the leverage property.
    `void` | `setLift(java.lang.Float value)` Sets the value of the lift property.
    `void` | `setSupport(java.math.BigDecimal value)` Sets the value of the support property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssociationRule

          public AssociationRule()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getAffinity

          public java.math.BigDecimal getAffinity()

      Gets the value of the affinity property.
      Returns:
        possible object is `BigDecimal`

    - #### setAffinity

          public void setAffinity(java.math.BigDecimal value)

      Sets the value of the affinity property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getAntecedent

          public java.lang.String getAntecedent()

      Gets the value of the antecedent property.
      Returns:
        possible object is `String`

    - #### setAntecedent

          public void setAntecedent(java.lang.String value)

      Sets the value of the antecedent property.
      Parameters:
        `value` - allowed object is `String`

    - #### getConfidence

          public java.math.BigDecimal getConfidence()

      Gets the value of the confidence property.
      Returns:
        possible object is `BigDecimal`

    - #### setConfidence

          public void setConfidence(java.math.BigDecimal value)

      Sets the value of the confidence property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getConsequent

          public java.lang.String getConsequent()

      Gets the value of the consequent property.
      Returns:
        possible object is `String`

    - #### setConsequent

          public void setConsequent(java.lang.String value)

      Sets the value of the consequent property.
      Parameters:
        `value` - allowed object is `String`

    - #### getId

          public java.lang.String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(java.lang.String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLeverage

          public java.lang.Float getLeverage()

      Gets the value of the leverage property.
      Returns:
        possible object is `Float`

    - #### setLeverage

          public void setLeverage(java.lang.Float value)

      Sets the value of the leverage property.
      Parameters:
        `value` - allowed object is `Float`

    - #### getLift

          public java.lang.Float getLift()

      Gets the value of the lift property.
      Returns:
        possible object is `Float`

    - #### setLift

          public void setLift(java.lang.Float value)

      Sets the value of the lift property.
      Parameters:
        `value` - allowed object is `Float`

    - #### getSupport

          public java.math.BigDecimal getSupport()

      Gets the value of the support property.
      Returns:
        possible object is `BigDecimal`

    - #### setSupport

          public void setSupport(java.math.BigDecimal value)

      Sets the value of the support property.
      Parameters:
        `value` - allowed object is `BigDecimal`